package com.alterdekim.game.repository;

import com.alterdekim.game.entity.PhoneMessage;
import com.alterdekim.game.entity.Postcard;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;

@Repository
public interface PostcardRepository extends JpaRepository<Postcard, Long> {
    Optional<Postcard> findById(Long id);

    List<Postcard> findAll();
}