package com.alterdekim.game.service;

import com.alterdekim.flash.decompiler.mapper.OutputObjectCallback;
import com.alterdekim.game.entity.Mission;
import com.alterdekim.game.repository.MissionRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class MissionService implements OutputObjectCallback {

    @Autowired
    private MissionRepository repository;

    @Override
    public void onOutputObjectReady(Object o) {
        this.repository.save((Mission) o);
    }
}