package com.alterdekim.game.component.game.friends;

import com.alterdekim.game.message.amf.AMFKey;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;

@AllArgsConstructor
@NoArgsConstructor
public class UserFriend {
    @AMFKey(name = "UserId")
    private Long userId;

    @AMFKey(name = "SnName")
    private String snName;

    @AMFKey(name = "UserName")
    private String userName;

    @AMFKey(name = "IsOnline")
    private Boolean isOnline;
}
