package com.alterdekim.game.controller.result.signup;

import com.alterdekim.game.entity.Incompatible;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlElementWrapper;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

import java.util.List;

@Getter
@AllArgsConstructor
public class Incompatibles {
    @JacksonXmlProperty(isAttribute = true, localName = "ID")
    private final String id = "Incompatibles";

    @JacksonXmlProperty(localName = "incompatible")
    @JacksonXmlElementWrapper(useWrapping = false, localName = "incompatible")
    private List<Incompatible> items;
}
